Finley.h File Reference
`#include <escript/DataTypes.h>`
`#include <finley/FinleyException.h>`
`#include <escript/EsysMPI.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Macros

#define | FINLEY_UNKNOWN -1
#define | FINLEY_DEGREES_OF_FREEDOM 1
#define | FINLEY_NODES 3
#define | FINLEY_ELEMENTS 4
#define | FINLEY_FACE_ELEMENTS 5
#define | FINLEY_POINTS 6
#define | FINLEY_CONTACT_ELEMENTS_1 7
#define | FINLEY_CONTACT_ELEMENTS_2 8
#define | FINLEY_REDUCED_DEGREES_OF_FREEDOM 2
#define | FINLEY_REDUCED_NODES 14
#define | FINLEY_REDUCED_ELEMENTS 10
#define | FINLEY_REDUCED_FACE_ELEMENTS 11
#define | FINLEY_REDUCED_CONTACT_ELEMENTS_1 12
#define | FINLEY_REDUCED_CONTACT_ELEMENTS_2 13
#define | FINLEY_INITIAL_STATUS 0

## Enumerations

enum | { finley::DegreesOfFreedom = 1, finley::ReducedDegreesOfFreedom = 2, finley::Nodes = 3, finley::ReducedNodes = 14, finley::Elements = 4, finley::ReducedElements = 10, finley::FaceElements = 5, finley::ReducedFaceElements = 11, finley::Points = 6, finley::ContactElementsZero = 7, finley::ReducedContactElementsZero = 12, finley::ContactElementsOne = 8, finley::ReducedContactElementsOne = 13 }

## Macro Definition Documentation

## FINLEY_CONTACT_ELEMENTS_1

#define FINLEY_CONTACT_ELEMENTS_1 7

## FINLEY_CONTACT_ELEMENTS_2

#define FINLEY_CONTACT_ELEMENTS_2 8

## FINLEY_DEGREES_OF_FREEDOM

#define FINLEY_DEGREES_OF_FREEDOM 1

## FINLEY_ELEMENTS

#define FINLEY_ELEMENTS 4

## FINLEY_FACE_ELEMENTS

#define FINLEY_FACE_ELEMENTS 5

## FINLEY_INITIAL_STATUS

#define FINLEY_INITIAL_STATUS 0

## FINLEY_NODES

#define FINLEY_NODES 3

## FINLEY_POINTS

#define FINLEY_POINTS 6

## FINLEY_REDUCED_CONTACT_ELEMENTS_1

#define FINLEY_REDUCED_CONTACT_ELEMENTS_1 12

## FINLEY_REDUCED_CONTACT_ELEMENTS_2

#define FINLEY_REDUCED_CONTACT_ELEMENTS_2 13

## FINLEY_REDUCED_DEGREES_OF_FREEDOM

#define FINLEY_REDUCED_DEGREES_OF_FREEDOM 2

## FINLEY_REDUCED_ELEMENTS

#define FINLEY_REDUCED_ELEMENTS 10

## FINLEY_REDUCED_FACE_ELEMENTS

#define FINLEY_REDUCED_FACE_ELEMENTS 11

## FINLEY_REDUCED_NODES

#define FINLEY_REDUCED_NODES 14

## FINLEY_UNKNOWN

#define FINLEY_UNKNOWN -1